// MyView.java                                  MM 2007
// MVC-View-Grundstruktur

import Tools.MVC.*;                        // SuperView

/**
 * View-Grundstruktur,
 * View mit Controller wird installiert.
 */
public class MyView
  extends SuperView
{
/* ------------------------------------------------- */
                                    // MVC-Installation
/**
 * Konstruktor, setzt Ueberschrift und installiert MVC.
 * @param model Model, welches dargestellt werden soll.
 * @param titel Ueberschrift
 */
  public MyView( MyModel model, String titel)
  {
// Titelzeile anzeigen
    // ...
// MVC-Installation
    initialize( model);
  }

/**
 * Erzeugt Controller,
 * Empfaenger fuer Ereignisse,
 * ueberschreibt abstrakte Methode.
 * @return Controller fuer View
 */
  protected SuperController makeController()
  {
    MyController controller = new MyController();
    // ...
    return controller;
  }

/**
 * Erzeugt,
 * ueberschreibt abstrakte Methode,
 * baut die Oberflaeche auf.
 */
  protected void makeView()
  {
// Praesentation aufbauen
    // ...
  }

/* ------------------------------------------------- */
                                       // draw-Methoden
/**
 * Darstellung des Model,
 * ueberschreibt abstrakte Methode.
 */
  protected void draw()
  {
    // ...
  }

/**
 * Darstellung eines Objekts, optional.
 */
  protected void draw( Object o)
  {
    // ...
  }
}
